Bug 432075 - xml-commons-resolve fails to build in rawhide
Summary: xml-commons-resolve fails to build in rawhide
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xml-commons-resolver (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Fernando Nasser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: fedora-ia64
TreeView+ depends on / blocked
 
Reported: 2008-02-08 18:22 UTC by Doug Chapman
Modified: 2008-09-05 20:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 20:28:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Doug Chapman 2008-02-08 18:22:12 UTC
Description of problem:
I see that xml-commons-resolver has not change yet it now fails to build.  This
is a problem for ia64 and the other new arches as we don't have an old build to
fall back on like the other arches do.  I verified that it fails on x86 and ppc
using koji.

The build log can be found at:
http://koji.fedoraproject.org/koji/getfile?taskID=403741&name=build.log

but for those who don't want to look at the full log file the important bit is:

+ cp -pr 'build/apidocs/resolver/*'
/var/tmp/xml-commons-resolver-1.1-1jpp.12-buildroot/usr/share/javadoc/xml-commons-resolver-1.1
cp: cannot stat `build/apidocs/resolver/*': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.54459 (%install)


Version-Release number of selected component (if applicable):
xml-commons-resolver-1.1-1jpp.12.src.rpm


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Doug Chapman 2008-02-08 18:33:22 UTC
looking more closely at the logfile it appears this is the root of the error:

javadocs:
  [javadoc] Generating Javadoc
  [javadoc] Javadoc execution
  [javadoc] Parsing
/builddir/build/BUILD/xml-commons-resolver-1.1/src/org/apache/xml/resolver/CatalogException.java
  [javadoc] Parsing
/builddir/build/BUILD/xml-commons-resolver-1.1/src/org/apache/xml/resolver/Version.java
  [javadoc] Parsing
/builddir/build/BUILD/xml-commons-resolver-1.1/src/org/apache/xml/resolver/Catalog.java
  [javadoc]
/builddir/build/BUILD/xml-commons-resolver-1.1/src/org/apache/xml/resolver/Catalog.java:474:
Syntax error (106)
  [javadoc]    * <p>This method is used internally when constructing a new catalog.
  [javadoc]                                                              ^
  [javadoc] Couldn't repair and continue parse at character 19104 of input
  [javadoc] Parsing
/builddir/build/BUILD/xml-commons-resolver-1.1/src/org/apache/xml/resolver/Resolver.java
  [javadoc]
/builddir/build/BUILD/xml-commons-resolver-1.1/src/org/apache/xml/resolver/Resolver.java:192:
Syntax error (106)
  [javadoc]   public String resolveURI(String uri)
  [javadoc]                 ^
  [javadoc] Couldn't repair and continue parse at character 7072 of input


Comment 2 Bug Zapper 2008-05-14 05:05:37 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Deepak Bhole 2008-09-05 20:28:56 UTC
Sinjdoc is unmaintained and not worth fixing for this. I changed the package to make it build with Icedtea, which results in the Icedtea javadoc being used, and that one works.


Note You need to log in before you can comment on or make changes to this bug.